package core.api.models.timemanager.history;

import com.fasterxml.jackson.annotation.JsonProperty;
import core.api.models.timemanager.taskSchedule.scheduleInfos.ScheduleInfo;

import java.util.List;

public class PastScheduleInfo {

    @JsonProperty
    private List<ScheduleInfo> mondaySchedules;

    @JsonProperty
    private List<ScheduleInfo> tuesdaySchedules;

    @JsonProperty
    private List<ScheduleInfo> wednesdaySchedules;

    @JsonProperty
    private List<ScheduleInfo> thursdaySchedules;

    @JsonProperty
    private List<ScheduleInfo> fridaySchedules;

    @JsonProperty
    private List<ScheduleInfo> saturdaySchedules;

    @JsonProperty
    private List<ScheduleInfo> sundaySchedules;

    public PastScheduleInfo(List<ScheduleInfo> mondaySchedules, List<ScheduleInfo> tuesdaySchedules,
                            List<ScheduleInfo> wednesdaySchedules, List<ScheduleInfo> thursdaySchedules,
                            List<ScheduleInfo> fridaySchedules, List<ScheduleInfo> saturdaySchedules,
                            List<ScheduleInfo> sundaySchedules) {
        this.mondaySchedules = mondaySchedules;
        this.tuesdaySchedules = tuesdaySchedules;
        this.wednesdaySchedules = wednesdaySchedules;
        this.thursdaySchedules = thursdaySchedules;
        this.fridaySchedules = fridaySchedules;
        this.saturdaySchedules = saturdaySchedules;
        this.sundaySchedules = sundaySchedules;
    }
}
