package core.api.models.timemanager.tasks.repeatinginfo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalDate;

public class TaskRepeatDayInfo {

    private int offset;
    private DeadlineStrategy deadlineStrategy;

    @JsonFormat(pattern = "yyyy-MM-dd'T'HH:mm:ss.SSSXXX")
    private LocalDate endingDate;

    public int getOffset() {
        return offset;
    }

    public void setOffset(int offset) {
        this.offset = offset;
    }

    public DeadlineStrategy getDeadlineStrategy() {
        return deadlineStrategy;
    }

    public void setDeadlineStrategy(DeadlineStrategy deadlineStrategy) {
        this.deadlineStrategy = deadlineStrategy;
    }

    public LocalDate getEndingDate() {
        return endingDate;
    }

    public void setEndingDate(LocalDate endingDate) {
        this.endingDate = endingDate;
    }
}
